Description

The SCM Creator doesn’t seem to work with Redmine 1.4.0:

I got the following error:
Processing RepositoriesController#create (for 117.201.161.229 at 2012-04-19 00:58:17) [POST]

  Parameters: {"controller"=>"repositories", "commit"=>"Create", "repository_scm"=>"Git", "authent

icity_token"=>"D9c30kq2pf/mhM3iGcCvRNykEFamKuFddJXEs+xmSEo=", "action"=>"create", "repository"=>{"

url"=>"/home/nettantra_base/domains/hg.nettantra.com/repos/nt-test", "checkout_display_command"=>"

0", "path_encoding"=>"", "identifier"=>"", "checkout_description"=>"The data contained in this rep

ository can be downloaded to your computer using one of several clients.\r\nPlease see the documen

tation of your version control software client for more information.\r\n\r\nPlease select the desi

red protocol below to get the URL.\r\n", "checkout_overwrite"=>"0", "is_default"=>"1", "checkout_p

rotocols"=>{"-1"=>{"protocol"=>"empty"}, "0"=>{"fixed_url"=>"", "access"=>"permission", "command"=

>"git clone", "protocol"=>"Git", "is_default"=>"1"}}, "extra_report_last_commit"=>"0"}, "project_i

d"=>"test-project"}

NoMethodError (undefined method `project=' for nil:NilClass):

  app/controllers/repositories_controller.rb:49:in `create'

  passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_

next_request'

  passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_requ

est_handler'

  passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spa

wn_application'

  passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spa

wn_application'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.11) helper-scripts/passenger-spawn-server:99
Related issues:

Duplicates SCM Creator (+Github) - Bug #1973: Error in Redmine 1.4.x Trunk du... Closed 13 Feb 2012 25 May 2012

Duplicates SCM Creator (+Github) - Patch #2038: support RM1.4's multi repositor Closed 22 May 2012 25 May 2012

History

#1 - 13 May 2012 12:38 - Andriy Lesyuk

- Status changed from New to Open

- Priority changed from Major to Critical

#2 - 23 May 2012 13:28 - Andriy Lesyuk

#2038 contains patch provided by Takashi Okamoto (thanks, user(Takashi)#111!). Working on including changes... Meanwhile you can use the patch.

#3 - 25 May 2012 09:15 - Andriy Lesyuk

- Due date set to 25 May 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100

Sorry for delay!
